Update a dedicated server

PUT/v1/hosts/dedicated_servers/{server_id}

A PUT request to /v1/hosts/dedicated_servers/{server_id} updates a dedicated server chosen in the path parameter. Labels can be assigned in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a dedicated server.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/hosts/dedicated_servers/olejRejN" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "second-team"    },    "title": "my-production-server",    "user_data": "#cloud-init"  }'
{  "id": "olejRejN",  "rack_id": "olejRejN",  "title": "my-production-server",  "location_id": 15,  "location_code": "location29",  "status": "active",  "operational_status": "normal",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.1",  "public_ipv4_address": "169.254.0.1",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 0,    "server_model_id": null,    "server_model_name": null,    "bandwidth_id": null,    "bandwidth_name": null,    "private_uplink_id": null,    "private_uplink_name": null,    "public_uplink_id": null,    "public_uplink_name": null,    "operating_system_id": null,    "operating_system_full_name": null  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "second-team"  },  "ipxe_config": null,  "userdata_sha256": "81356ce685aa498e42c1978001ef2bc184514a3bca7afb05124d9ffad68e8f5d",  "created_at": "2026-05-28T06:54:50Z",  "updated_at": "2026-05-28T06:54:50Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "labels": "invalid key \"@\""  }}